
const imgUploadUrl = process.env.VUE_APP_IMG_UPLOAD_URL
const imgUrlDomain = process.env.VUE_APP_IMG_SERVICE_URL

// 头像图片路径通配
export function setImgUrl (str) {
  if (typeof str !== 'string') {
      return ''
  }
  if (str.length === 0) {
      return ''
  } else {
      if (str.indexOf('../') > -1) {
          // 访问本地路径
          return './images/' + str.split('/')[str.split('/').length - 1]
      } else if ((str.indexOf('http://') > -1) || (str.indexOf('https://') > -1)) {
          return str
      } else {
          // 服务器上的图片路径
          return imgUrlDomain + str
      }
  }
}

// 富文本文章图片路径通配
export function setArticleContent (content) {
  // 修改图片路径,处理图片服务防盗链的问题
  var domain = imgUploadUrl + '/image/getRemoteByURL?imageURL='
  // eslint-disable-next-line no-useless-escape
  var strRegex = /<img(.*?)src= \"(https|http):\/\//g
  content = content.replace(strRegex, function (rs) {
      // eslint-disable-next-line no-useless-escape
      var rg = /src=\"/
      var s = rs.replace(rg, 'src="' + domain)
      return s
  })
  var reg = /src=group1\//g
  content = content.replace(reg, 'src="' + imgUrlDomain + 'group1/')
  return content
}

// 去除内容里图片的 fileApi.imgServer
export function imgUrlDel (content) {
  var myReg = new RegExp(imgUrlDomain, 'g')
  var newcontent = content.replace(myReg, '')
  return newcontent
}
